import { ChangeDetectorRef, ElementRef } from '@angular/core';
import { DrawerStateManagerService, StateListener } from '../state-listener.component';
import * as i0 from "@angular/core";
/**
 * [DrawerHeader Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-drawer--readme)
 *
 * The `<blui-drawer-header>` contains the content found at the top of the `<blui-drawer>`.
 */
export declare class DrawerHeaderComponent extends StateListener {
    /** Mat toolbar color variant
     *
     * @default primary
     * */
    color: 'primary' | 'accent' | 'warn' | undefined;
    /** Show a divider below footer
     *
     * @default false
     * */
    divider: boolean;
    /** The text to show on the second line */
    subtitle: string;
    /** The text to show on the first line */
    title: string;
    iconEl: ElementRef;
    isEmpty: (el: ElementRef) => boolean;
    constructor(stateManagerService: DrawerStateManagerService, changeDetectorRef: ChangeDetectorRef);
    isRail(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<DrawerHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DrawerHeaderComponent, "blui-drawer-header", never, { "color": "color"; "divider": "divider"; "subtitle": "subtitle"; "title": "title"; }, {}, never, ["[blui-icon]", "[blui-title-content]"], false, never>;
}
