import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { Subject, Subscription } from 'rxjs';
import { DrawerState } from './drawerState';
import * as i0 from "@angular/core";
/** This service is used to manage the state of a Drawer component, responds to user behavior and input settings. */
export declare class DrawerStateManagerService {
    private numberOfDrawerStateInstances;
    newStateInstanceSubject: Subject<DrawerState>;
    incrementNumberOfDrawerStateInstances(): number;
    getNumberOfDrawerStateInstances(): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<DrawerStateManagerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DrawerStateManagerService>;
}
export declare class StateListener implements OnInit, OnDestroy {
    protected drawerStateManagerService: DrawerStateManagerService;
    protected changeDetector: ChangeDetectorRef;
    createNewStateListener: boolean;
    drawerOpenListener: Subscription;
    drawerState: DrawerState;
    constructor(drawerStateManagerService: DrawerStateManagerService, changeDetector: ChangeDetectorRef, createNewStateListener?: boolean);
    private _createNewDrawerServiceInstance;
    broadcastDrawerStateCreated(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    isOpen(): boolean;
    isOpenOnHover(): boolean;
    unsubscribeListeners(): void;
    listenForDrawerChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StateListener, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<StateListener, never, never, {}, {}, never, never, false, never>;
}
