import { AfterViewInit, ChangeDetectorRef, ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * [EmptyState Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-empty-state--readme)
 *
 * The `<blui-empty-state>` component can display a particular icon, text, and actions.
 * Icon components are passed as a child element with the `emptyIcon` attribute - these will typically be a Material icon, Brightlayer UI icon, or Progress Icon.
 */
export declare class EmptyStateComponent implements AfterViewInit {
    private readonly _ref;
    /** The secondary text to display (second line) */
    description: string;
    /** The primary text to display (first line) */
    title: string;
    /** Used to check if an icon has been provided ngAfterViewInit */
    emptyIcon: ElementRef;
    actionsRef: ElementRef;
    hasAction: boolean;
    constructor(_ref: ChangeDetectorRef);
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EmptyStateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EmptyStateComponent, "blui-empty-state", never, { "description": "description"; "title": "title"; }, {}, never, ["[blui-empty-icon]", "[blui-title]", "[blui-description]", "[blui-actions]"], false, never>;
}
